Log in or register to post comments

Failed to load data set, Unity 2019, Vuforia 9.8

Unity Editor
May 6, 2022 - 2:23am #1

Hello,

I'm using Unity 2019.4.38 and Vuforia 9.8.13.

I've scanned an environment using the Area Target Creator app on iOS, and when exporting it, I choose the legacy option, since I cannot use a more modern version of Unity (and Vuforia 10 only works from Unity 2020 onwards).

I import the generated package into Unity and the "mesh" of the scanned environment does appear in Editor mode, but when hitting Play or building the app on to a device, I get the following error:

"Failed to load data set XXX",

and the area target does not work.

How can I use the Area Target feature in Vuforia 9.8 with Unity 2019?

Thanks in advance!

Platform: 

Failed to load data set, Unity 2019, Vuforia 9.8

May 18, 2022 - 7:55am #8

Hey there,

 

The only way is to upgrade to Vuforia Engine v10.x as far as I know.

 

Kind regards,

Patrick Scheper

Technical Community Manager

Failed to load data set, Unity 2019, Vuforia 9.8

May 11, 2022 - 10:18am #7

So, if I want to use Area targets in Vuforia 9, the only way is to use a professional scanner such as Matterport?

 

Thanks.

Failed to load data set, Unity 2019, Vuforia 9.8

May 10, 2022 - 3:00pm #6

Hello,

Unfortunately, there is no way to provide you with older versions of the Area Target Creator App as it is distributed on the Apple App Store.

Note that this app is not compatible with Android devices: https://library.vuforia.com/creating-area-targets/vuforia-area-target-creator-app

Kind regards,

Dave Downing

Vuforia Engine Technical Support

Failed to load data set, Unity 2019, Vuforia 9.8

May 9, 2022 - 10:28pm #5

And how can I use Area Targets with Vuforia 9.8?

The documentation says that Area Targets are available in Vuforia 9.8

Is there a way to download an older version of the Area Target Creator App, even though it were for Android? 

Failed to load data set, Unity 2019, Vuforia 9.8

May 9, 2022 - 2:21pm #4

Hello,

Apologies, but Area Target device databases that are created with the 10.X version of the Area Target Creator App are not compatible with Engine SDK 9.8.

We're sorry for the inconvenience.

Kind regards,

Dave Downing

Vuforia Engine Technical Support

Failed to load data set, Unity 2019, Vuforia 9.8

May 7, 2022 - 1:33am #3

I'm using 10.6.3, the version I could download from the iOS App Store.

Failed to load data set, Unity 2019, Vuforia 9.8

May 6, 2022 - 4:26pm #2

Hello,

Which version of the Area Target Creator App are you using for the capture?

Kind regards,

Dave Downing

Vuforia Engine Technical Support

Log in or register to post comments